%define distname blobby2-linux-%{version}

Summary:	Blobby Volley 2 arcade game
Name:		blobby
Version:	1.0
Release:	%mkrel 7
License:	GPLv2+
Epoch:		1
Group:		Games/Sports
Url:		http://sourceforge.net/projects/blobby/
Source0:	http://prdownloads.sourceforge.net/%{name}/%{distname}.tar.gz
Source1:	%{name}.appdata.xml
Patch0:		blobby2-1.0-mga-games-install-dirs.patch
Patch1:		blobby2-1.0-mga-install-missing-data.patch
# upstream r1542 http://sourceforge.net/p/blobby/code/1542/
Patch2:		blobby-1.0-ostream.patch
#From debian
Patch101:	01_sdl_default.patch
Patch102:	02_use_system_lua.patch
Patch104:	04_use_system_tinyxml.patch
Patch107:	07_cxxflags_append.patch

BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	icoutils
BuildRequires:	physfs-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:  zip
BuildRequires:	lua5.2-devel

%description
Blobby Volley 2 is an arcade game with a simple gameplay and funny
characters design.

%prep
%setup -q
%autopatch -p1

%build
%cmake
%make

%install
%make_install -C build

# Icon
for size in 48 64; do
  install -d %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps
  icotool -x -w${size} data/Icon.ico -o %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

# Desktop file
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Blobby Volley 2
Comment=Blobby Volley 2 arcade game
Comment[fr]=Jeu de volley-ball d'arcade
Comment[de]=Volley-Ball Arcade-Spiel
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;SportsGame;
EOF

# AppData
install -D -m644 %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml

%files
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-server
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Sun Mar 20 2016 wally <wally> 1:1.0-7.mga6
+ Revision: 993162
- add patches from debian to build with system lua5.2 and tinyxml
- add patch from debian to use SDL as a default renderer
- add patch from debian to not override CXXFLAGS
- use cmake macro to build

* Sat Feb 20 2016 umeabot <umeabot> 1:1.0-6.mga6
+ Revision: 971527
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 blino <blino> 1:1.0-5.mga6
+ Revision: 891908
- add upstream patch for missing include (fix build with latest libstdc++)

* Wed Oct 15 2014 umeabot <umeabot> 1:1.0-4.mga5
+ Revision: 742239
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.0-3.mga5
+ Revision: 678175
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 zezinho <zezinho> 1:1.0-2.mga5
+ Revision: 643417
- bump release as it was provided as update to MGA4

* Sat Jun 21 2014 akien <akien> 1:1.0-1.mga5
+ Revision: 638291
- Final 1.0 version
- Add a patch to properly install in typical games installation dirs (and remove previous hack)
- Install the icon provided in the source instead of secondary source
- Add appdata file from Fedora

* Sat Oct 19 2013 umeabot <umeabot> 1:1.0-0.rc3.3.mga4
+ Revision: 529376
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 1:1.0-0.rc3.2.mga4
+ Revision: 451709
- rebuild for new boost

* Tue Jul 09 2013 dams <dams> 1:1.0-0.rc3.1.mga4
+ Revision: 451581
- add %%Epoch
- Fix %%release

* Fri Jan 11 2013 umeabot <umeabot> 1.0rc3-3.mga3
+ Revision: 346918
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 1.0rc3-2.mga3
+ Revision: 343833
- updated RPM group

* Mon Dec 03 2012 zezinho <zezinho> 1.0rc3-1.mga3
+ Revision: 326055
- fix path
- new version

* Tue Mar 06 2012 zezinho <zezinho> 0.9c-2.mga2
+ Revision: 220487
- remove soundwrapper from menu as it is not used anymore

* Mon Dec 19 2011 zezinho <zezinho> 0.9c-1.mga2
+ Revision: 184468
- new version

* Sun Jul 10 2011 stormi <stormi> 0.9b-2.mga2
+ Revision: 121953
- update to 0.9b
- remove buildroot definition
- fix license

* Sat Jun 11 2011 zezinho <zezinho> 0.7.0-0.20091002.1.mga2
+ Revision: 103394
- imported package blobby

